unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ActnList, Menus, users_basic, users_asta, DBTables, StdCtrls, Grids,
  DBGrids, ExtCtrls, Db, ScktComp, AstaCustomSocket,
  AstaClientSocket;

type
  TForm1 = class(TForm)
    ActionList1: TActionList;
    MainMenu1: TMainMenu;
    ChangeUserPassword: TAction;
    UserAdministration: TAction;
    Login: TAction;
    UsersASTA1: TUsersASTA;
    UsersASTAReg1: TUsersASTAReg;
    Users1: TMenuItem;
    UserAdministration1: TMenuItem;
    ChangeUserPassword1: TMenuItem;
    Login1: TMenuItem;
    N1: TMenuItem;
    DBGrid1: TDBGrid;
    Memo1: TMemo;
    Panel3: TPanel;
    AstaClientSocket1: TAstaClientSocket;
    procedure ChangeUserPasswordExecute(Sender: TObject);
    procedure UserAdministrationExecute(Sender: TObject);
    procedure LoginExecute(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure UsersASTA1NeedComputerName(var ComputerName: String);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses dtm_Sample;

{$R *.DFM}

procedure TForm1.ChangeUserPasswordExecute(Sender: TObject);
begin
  UsersASTA1.ChangeUserPassword;
end;

procedure TForm1.UserAdministrationExecute(Sender: TObject);
begin
  UsersASTA1.UsersAdm;
end;

procedure TForm1.LoginExecute(Sender: TObject);
begin
  if not UsersASTA1.Login then
    Application.Terminate;
  Panel3.Caption:='User: ' + UsersASTA1.ActualUser.UserName+' ['+UsersASTA1.ActualUser.RealName+']';
  SampleData:=TSampleData.Create(NIL);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ShowMessage('User Name: master'+#10#13+'Password: master');
  Login.Execute;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  DBGrid1.DataSource:=NIL;
  SampleData.Free;
end;

procedure TForm1.UsersASTA1NeedComputerName(var ComputerName: String);
begin
  ComputerName:=AstaClientSocket1.Socket.LocalAddress;
end;

end.
